For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GitHub
DocumentationREST API Reference
DocumentationREST API Reference
    • Getting Started
  • API Reference
    • Service Account
    • Infrastructure Provider
    • Tenant
    • Tenant Account
    • Site
    • Allocation
    • IP Block
    • VPC
    • VPC Peering
    • VPC Prefix
    • Subnet
    • Expected Machine
    • Expected Power Shelf
    • Expected Rack
    • Expected Switch
    • SKU
    • Infini Band Partition
    • Nv Link Logical Partition
    • Instance Type
    • Instance
    • Operating System
    • Machine
    • Rack
    • Task
    • Tray
    • Network Security Group
    • Dpu Extension Service
    • SSH Key Group
    • SSH Key
    • User
    • Metadata
    • Audit
    • Tenant Identity
      • GETRetrieve Tenant Identity Configuration for current Org
      • PUTCreate or Update Tenant Identity Configuration
      • DELDelete Tenant Identity Configuration
      • GETRetrieve Token Delegation for current Org
      • PUTCreate or Update Token Delegation
      • DELDelete Token Delegation
      • GETRetrieve OIDC JWKS for current Org
      • GETRetrieve OpenID Configuration for current Org
      • GETRetrieve SPIFFE JWKS for current Org
GitHub
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
API ReferenceTenant Identity

Delete Token Delegation

||View as Markdown|
DELETE
https://nico-rest-api.nico.svc.cluster.local/v2/org/:org/nico/site/:siteID/tenant-identity/token-delegation
DELETE
/v2/org/:org/nico/site/:siteID/tenant-identity/token-delegation
$curl -X DELETE https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/site/siteID/tenant-identity/token-delegation \
> -H "Authorization: Bearer <token>"

Delete the RFC 8693 token exchange callback for the tenant.

User must have authorization role with TENANT_ADMIN suffix in the URL {org}.

Subsequent Instance Metadata Service requests for the tenant revert to direct (non-delegated) signing by the Core gRPC API.

Previous

Create or Update Token Delegation

Next

Retrieve OIDC JWKS for current Org

Authentication

AuthorizationBearer
export JWT_BEARER_TOKEN="<jwt-bearer-token>"
# Example org name: "acme-inc
export ORG_NAME=<org-name>
# Use the JWT bearer token in your API request auth header:
curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

Path parameters

orgstringRequired
Name of the Org
siteIDstringRequiredformat: "uuid"
ID of the Site

Response

Token delegation deleted

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error